import request from '@/utils/request'
import config from '@/utils/config'

export function queryAdminUsers(query) {
  return request({
    url: config.BASE_URL + '/queryAdminUsers',
    method: 'post',
    params: query
  })
}
export function getAdminRoles() {
  return request({
    url: config.BASE_URL + '/getAdminRoles',
    method: 'get'
  })
}
export function getMktBranches() {
  return request({
    url: config.BASE_URL + '/getMktBranches',
    method: 'get'
  })
}
export function JlAdminadd(query) {
  return request({
    url: config.BASE_URL + '/JlAdminadd',
    method: 'post',
    params: query
  })
}
export function disableAdminUser(query) {
  return request({
    url: config.BASE_URL + '/disableAdminUser',
    method: 'post',
    params: query
  })
}
export function JlAdmindelete(query) {
  return request({
    url: config.BASE_URL + '/JlAdmindelete',
    method: 'get',
    params: query
  })
}
export function checkUsername(query) {
  return request({
    url: config.BASE_URL + '/checkUsername',
    method: 'get',
    params: query
  })
}
export function JlAdminGetOne(query) {
  return request({
    url: config.BASE_URL + '/JlAdminGetOne',
    method: 'get',
    params: query
  })
}
export function updateAdminUser(query) {
  return request({
    url: config.BASE_URL + '/updateAdminUser',
    method: 'post',
    params: query
  })
}
export function getRolePermissions() {
  return request({
    url: config.BASE_URL + '/getRolePermissions',
    method: 'get'
  })
}
export function insertRole(query) {
  return request({
    url: config.BASE_URL + '/insertRole',
    method: 'post',
    params: query
  })
}
export function getCheckRolePermissions(query) {
  return request({
    url: config.BASE_URL + '/getCheckRolePermissions',
    method: 'get',
    params: query
  })
}
export function getOneAdminRole(query) {
  return request({
    url: config.BASE_URL + '/getOneAdminRole',
    method: 'get',
    params: query
  })
}
export function updateAdminRole(query) {
  return request({
    url: config.BASE_URL + '/updateAdminRole',
    method: 'post',
    params: query
  })
}
export function getWXPublics(query) {
  return request({
    url: config.BASE_URL + '/getWXPublics',
    method: 'post',
    params: query
  })
}
export function updateWXPublic(query) {
  return request({
    url: config.BASE_URL + '/updateWXPublic',
    method: 'post',
    params: query
  })
}

